
import config from './neutral.js';
export const myRequest = (options) => {
  let BASE_URL = uni.getStorageSync('http');
  console.log(BASE_URL, 'my request', process.env.NODE_ENV);
  if (BASE_URL == '') {
    BASE_URL =
      process.env.NODE_ENV === 'development'
        ? config.developAPI
        : config.productAPI;
  }
  BASE_URL = config.productAPI;
  // console.log(BASE_URL)
  var session_key = '';
  session_key = uni.getStorageSync('session_key');
  let url = '';
  let data = options.data || {};
  let sfType = options.sfType || '';
  if (options.url.split('=')[1]) {
    url = options.url.split('=')[1];
  } else {
    url = options.url.split('api/')[1];
  }
  // console.log(url)
  if (
    url != 'user.login.login_user' &&
    url != 'pest.pests.insect_discern' &&
    url != 'pest.pests.plant_discern' &&
    url != 'pest.pests.pests_contrast' &&
    url != 'pest.pests.pests_expert_img' &&
    url != 'pest.pests.pests_img' &&
    url != 'recognizationSys' &&
    url != 'base.bases.base_photo' &&
    url != 'pest.warning_record.rolemanage_img' &&
    url != 'home.homes.personal_photo' &&
    url != 'ascend.ascend_manage.product_info' &&
    url != 'ascend.ascend_manage.quality_info' &&
    url != 'ascend.ascend_manage.grow_info' &&
    url != 'ascend.ascend_manage.all_ascend' &&
    url != 'after_sale.after_sale_manage.device_check' &&
    url != 'after_sale.after_sale_manage.aftersale_apply'
  ) {
    data.token = session_key;
  }

  return new Promise((resolve, reject) => {
    uni.request({
      url: BASE_URL + options.url,
      method: options.method || 'POST',
      header: options.header || {
        'Content-Type': 'application/x-www-form-urlencoded',
      },
      data: data,
      success: (res) => {
        if (res.data.errorCode == 403) {
          uni.removeStorageSync('session_key');
          uni.showToast({
            title: '登录已过期，请重新登录！',
            icon: 'none',
          });
          if (uni.getStorageSync('isLink')) {
            return false;
          } else {
            uni.setStorageSync('isLink', true);
            return uni.navigateTo({
              url: '/pages/login/login',
            });
          }
        }
        if (res.data.message) {
          if (
            res.data.message == '识别无结果' ||
            res.data.message == '该设备未绑定SIM'
          ) {
            resolve(res.data.data);
          } else {
            return uni.showToast({
              title: res.data.message,
              icon: 'none',
            });
          }
        }
        if (sfType) {
          resolve(res.data);
          return;
        }
        if (res.data.data) {
          resolve(res.data.data);
        } else {
          resolve(res.data);
        }
      },
      fail: (err) => {
        uni.showToast({
          title: '请求接口失败',
          icon: 'none',
        });
        reject(err);
      },
    });
  });
};
